Bug 1565898 - RHGS-WA should check for build no in addition to NVR while importing a cluster
Summary: RHGS-WA should check for build no in addition to NVR while importing a cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-gluster-integration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Shubhendu Tripathi
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-11 02:55 UTC by Shubhendu Tripathi
Modified: 2018-09-04 07:04 UTC (History)
6 users (show)

Fixed In Version: tendrl-commons-1.6.3-1.el7rhgs, tendrl-node-agent-1.6.3-1.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:03:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Tendrl commons issues 906 None closed Check rpm version of underlying gluster cluster for validation of min version 2020-02-16 06:18:59 UTC
Github Tendrl node-agent issues 778 None closed Check for existence of configuration file for underlying storage cluster version details 2020-02-16 06:18:59 UTC
Red Hat Bugzilla 1559507 None None None Never
Red Hat Bugzilla 1579170 None None None Never
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:04:50 UTC

Internal Links: 1559507 1579170

Description Shubhendu Tripathi 2018-04-11 02:55:20 UTC
Description of problem:
RHGS-WA supports a minimum required version of gluster cluster which could be imported and monitored. While import flow the check for minimum required version currently checks only the the NVR whereas in RHGS we ideally should be checking build no as well, because in {NVR}-{build no} the NVR part only mentions the re-base version done for downstream and the build no actually defines which minimum version we ideally need to support.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a RHGS 3.3.0 (rpm version 3.8.4-44) cluster
2. Setup RHGS-WA using tendrl-ansible
3. Try to import this cluster in RHGS-WA
4. Create a RHGS 3.3.1 (rpm version 3.8.4-52) cluster
5. Import this cluster in RHGS-WA

Actual results:
Step-3 allows to import the cluster
Step-5 allows to import the cluster

Expected results:
Step-3 should not allow to import cluster
Step-5 should allow to import cluster

Additional info:
RHGS-3.3.0 doesn't contain the get-state feature in glusterd and so ideally this cluster cannot be monitored by RHGS-WA. Minimum required version of RHGS which is allowed to be imported and monitored by RHGS-WA is 3.3.1 (rpm version 3.8.4-52)

Comment 6 Daniel Horák 2018-05-18 12:42:39 UTC
Tested and Verified with following two scenarios:
  * with glusterfs-3.8.4-44 (identified as un-supported RHGS version)
    -> import cluster task fails because of: Detected gluster version: 
       un-supported is lesser than required version: 3.8.4-52

  * with glusterfs-3.8.4-52 (identified as RHGS 3.3.1)
    -> import cluster pass

Version-Release number of selected component:
  RHGS WA Server:
    tendrl-ansible-1.6.3-3.el7rhgs.noarch
    tendrl-api-1.6.3-3.el7rhgs.noarch
    tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
    tendrl-commons-1.6.3-4.el7rhgs.noarch
    tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
    tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
    tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
    tendrl-node-agent-1.6.3-4.el7rhgs.noarch
    tendrl-notifier-1.6.3-2.el7rhgs.noarch
    tendrl-selinux-1.5.4-2.el7rhgs.noarch
    tendrl-ui-1.6.3-1.el7rhgs.noarch

  Gluster Storage Server:
    tendrl-collectd-selinux-1.5.4-2.el7rhgs.noarch
    tendrl-commons-1.6.3-4.el7rhgs.noarch
    tendrl-gluster-integration-1.6.3-2.el7rhgs.noarch
    tendrl-node-agent-1.6.3-4.el7rhgs.noarch
    tendrl-selinux-1.5.4-2.el7rhgs.noarch

See also verification of Bug 1559507.

>> VERIFIED

Comment 8 errata-xmlrpc 2018-09-04 07:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.